> ## Documentation Index
> Fetch the complete documentation index at: https://ayrshare.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# User Profile の詳細

> ユーザーまたはユーザープロファイルの情報を取得します

export const PlansAvailable = ({plans = [], maxPackRequired}) => {
  let displayPlans = plans;
  if (plans && plans.length === 1) {
    const lowerCasePlan = plans[0].toLowerCase();
    if (lowerCasePlan === "business") {
      displayPlans = ["Launch", "Business", "Enterprise"];
    } else if (lowerCasePlan === "premium") {
      displayPlans = ["Premium", "Launch", "Business", "Enterprise"];
    }
  }
  return <Note>
Available on {displayPlans.length === 1 ? "the " : ""}
{displayPlans.join(", ").replace(/\b\w/g, l => l.toUpperCase())}{" "}
{displayPlans.length > 1 ? "plans" : "plan"}.

{maxPackRequired && <span onClick={() => window.open('https://www.ayrshare.com/docs/additional/maxpack', '_self')} className="flex items-center mt-2 cursor-pointer">
 <span className="px-1.5 py-0.5 rounded text-sm" style={{
    backgroundColor: '#C264B6',
    color: 'white',
    fontSize: '12px'
  }}>
   Max Pack required
 </span>
</span>}
</Note>;
};

export const HeaderAPI = ({noProfileKey, profileKeyRequired}) => <>
    <ParamField header="Authorization" type="string" required>
      <a href="/apis/overview#authorization">API Key</a> of the Primary Profile.
      <br />
      <br />
      Format: <code>Authorization: Bearer API_KEY</code>
    </ParamField>
    {!noProfileKey && (profileKeyRequired ? <ParamField header="Profile-Key" type="string" required>
          <a href="/apis/overview#profile-key-format">Profile Key</a> of a User Profile.
          <br />
          <br />
          Format: <code>Profile-Key: PROFILE_KEY</code>
        </ParamField> : <ParamField header="Profile-Key" type="string">
          <a href="/apis/overview#profile-key-format">Profile Key</a> of a User Profile.
          <br />
          <br />
          Format: <code>Profile-Key: PROFILE_KEY</code>
        </ParamField>)}
  </>;

<PlansAvailable plans={["premium"]} maxPackRequired={false} />

このエンドポイントは、認証済みのユーザーまたはユーザープロファイルに関する詳細情報を取得します。以下を含みます：

<ul class="custom-bullets">
  <li>連携済みのすべてのソーシャルメディアアカウントの包括的なリスト</li>
  <li>ソーシャルメディアのユーザー名とプロファイル情報</li>
  <li>アカウントのステータスと使用量メトリクス</li>
</ul>

返されるデータは、接続されたソーシャルネットワークの現在の状態をリアルタイムに反映しており、ユーザーがソーシャルメディアアカウントを接続または切断するたびに自動的に更新されます。

ソーシャルアカウントが連携されていない場合、`activeSocialAccounts` は返されません。

特定の User Profile のデータを取得するには、[Profile-Key を header に追加](/apis/overview#profile-key-format) してください。

<Warning>
  <ul class="custom-bullets">
    <li>すべてのユーザープロファイルのデータを一度に取得する必要がある場合は、[/user/batch エンドポイント](/apis/user/batch-all-users) を使用してください。</li>
    <li>ユーザーがソーシャルアカウントを連携または切断したときの通知が必要な場合は、[/webhooks エンドポイント](/apis/webhooks/overview) を参照してください。</li>
  </ul>
</Warning>

## Header Parameters

<HeaderAPI />

## Query Parameters

<ParamField query="instagramDetails" type="boolean" default={false}>
  アカウントタイプ（ビジネスまたはクリエイター）や使用済みクォータなど、Instagram の追加詳細を返します。
  追加データが必要な場合以外は、レスポンス時間が遅くなるため推奨しません。
</ParamField>

<RequestExample>
  ```bash cURL theme={"system"}
  curl \
  -H "Authorization: Bearer API_KEY" \
  -X GET https://api.ayrshare.com/api/user
  ```

  ```javascript JavaScript theme={"system"}
  const API_KEY = "API_KEY";

  fetch("https://api.ayrshare.com/api/user", {
        method: "GET",
        headers: {
          "Authorization": `Bearer ${API_KEY}`
        }
      })
        .then((res) => res.json())
        .then((json) => console.log(json))
        .catch(console.error);
  ```

  ```python Python theme={"system"}
  import requests

  headers = {'Authorization': 'Bearer API_KEY'}
  r = requests.get('https://api.ayrshare.com/api/user', headers=headers)

  print(r.json())
  ```

  ```php PHP theme={"system"}
  $apiUrl = 'https://api.ayrshare.com/api/user';
  $apiKey = 'API_KEY';  // Replace 'API_KEY' with your actual API key

  $headers = [
      'Content-Type: application/json',
      'Authorization: Bearer ' . $apiKey,
  ];

  $curl = curl_init($apiUrl);
  curl_setopt_array($curl, [
      CURLOPT_RETURNTRANSFER => true,
      CURLOPT_HTTPHEADER => $headers
  ]);

  $response = curl_exec($curl);

  if ($response === false) {
      echo 'Curl error: ' . curl_error($curl);
  } else {
      echo json_encode(json_decode($response), JSON_PRETTY_PRINT);
  }

  curl_close($curl);
  ```

  ```csharp C# theme={"system"}
  using System;
  using System.Net.Http;
  using System.Threading.Tasks;

  namespace UserGETRequest_csharp
  {
  class User
  {
      static async Task Main(string[] args)
      {
          string API_KEY = "API_KEY";
          string url = "https://api.ayrshare.com/api/user";

          using (var client = new HttpClient())
          {
              client.DefaultRequestHeaders.Add("Authorization", "Bearer " + API_KEY);
              
              try
              {
                  HttpResponseMessage response = await client.GetAsync(url);
                  response.EnsureSuccessStatusCode();
                  string responseBody = await response.Content.ReadAsStringAsync();
                  Console.WriteLine(responseBody);
              }
              catch (HttpRequestException e)
              {
                  Console.WriteLine($"Error: {e.Message}");
              }
          }
      }
  }
  }
  ```
</RequestExample>

<ResponseExample>
  ```javascript 200: Response theme={"system"}
  {
      "activeSocialAccounts": [
          "bluesky",
          "facebook",
          "gmb",
          "instagram",
          "linkedin",
          "pinterest",
          "reddit",
          "snapchat",
          "telegram",
          "threads",
          "tiktok",
          "twitter",
          "youtube"
      ],
      "created": {
          "_seconds": 1667351022,
          "_nanoseconds": 814000000,
          "utc": "2022-11-02T01:03:42Z"
      },
      "displayNames": [
          { // Bluesky
              "created": "2025-01-06T21:30:19.756Z",
              "description": "Ayrshare's Social APIs provide the core infrastructure for social media posting, management, and analytics.",
              "displayName": "Ayrshare",
              "id": "did:plc:62musrcyanhro2lydyhl", // Bluesky Id
              "platform": "bluesky",
              "userImage": "https://cdn.bsky.app/img/avatar/plain/did:plc:62musrcyanhro2lydyhlw7ci/bafkreie",
              "username": "ayrshare.com"
          },
          { // Facebook
              "created": "2022-11-14T16:18:49.110Z",
              "displayName": "Ayrshare",
              "id": "106638152329",       // Facebook Page Id
              "messagingActive": true,    // Messaging active for the social network
              "pageName": "Ayrshare",
              "platform": "facebook",
              "profileUrl": "https://www.facebook.com/ayrshare",
              "userId": "283748192833",   // Facebook User Id
              "userImage": "https://img.ayrshare.com/ndfdfJ239s/social/facebook.jpeg"    // The image at the time of linking
          },
          { // Google Business Profile
              "created": "2024-03-27T20:47:46.251Z",
              "description": "Easy to integrate Social Media APIs allow you to manage all your users' social accounts right from your product. Post, Auto Schedule, and Analytics. Great for SaaS, CMS, DAM, Agencies, and Apps.",
              "displayName": "Ayrshare",
              "mapsUrl": "https://maps.google.com/maps?cid=5229466225881728772",
              "placeId": "ChIJN53jw8BZwokRBEeVVtPLkkg",
              "platform": "gmb",
              "profileUrl": "https://www.ayrshare.com/",
              "reviewUrl": "https://search.google.com/local/writereview?placeid=ChIJN53jw8BZwokRBEeVVtPLkkg"
          },
          { // Instagram
              "created": "2022-11-09T20:36:58.659Z",
              "displayName": "Ayrshare",
              "id": "1784144322",         // Associate Facebook Page Id
              "igId": "62938492293422",   // Instagram User Id
              "messagingActive": true,    // Messaging active for the social network
              "pageName": "Social Media API",
              "platform": "instagram",
              "profileUrl": "https://www.instagram.com/ayrshare",
              "type": "business",         // "business" returned for both business and creator account types. Only returned if instagramQuota: true
              "usedQuota": 34,            // Instagram quota. 50 posts per rolling 24-hour period. Returned if instagramQuota: true
              "userId": "2938492293422",  // Instagram User Id
              "userImage": "https://img.ayrshare.com/ndfdfJ239s/social/instagram.jpeg", // The image at the time of linking
              "username": "ayrshare",

              // Additional Instagram details with instagramDetails=true
              "type": "business", // business or creator
              "usedQuota": 20     // daily quota used - Instagram allows 50 posts per rolling 24-hour period
          },
          { // LinkedIn
              "created": "2022-11-17T18:52:29.830Z",
              "displayName": "Ayrshare",
              "id": "72157",
              "platform": "linkedin",
              "profileUrl": "https://www.linkedin.com/company/ayrshare",
              "refreshDaysRemaining": 364,    // Days until link auth must be refreshed
              "refreshRequired": "2023-11-17T18:52:29.830Z", // Date and time when link auth must be refreshed
              "type": "corporate",            // corporate or personal
              "userImage": "https://img.ayrshare.com/ndfdfJ239s/social/linkedin.jpeg", // The image at the time of linking
              "username": "ayrshare" // logged in username
          },
          { // Pinterest
              "created": "2022-12-06T03:16:52.642Z",
              "displayName": "Ayrshare",
              "id": "42995790741",
              "platform": "pinterest",
              "profileUrl": "https://www.pinterest.com/ayrshare",
              "userImage": "https://img.ayrshare.com/ndfdfJ239s/social/pinterest.jpeg", // The image at the time of linking
              "username": "ayrshare"
          },
          { // Reddit
              "created": "2022-11-17T18:55:34.419Z",
              "displayName": "funone",
              "platform": "reddit",
              "profileUrl": "https://www.reddit.com/user/funone",
              "userImage": "https://img.ayrshare.com/ndfdfJ239s/social/reddit.png", // The image at the time of linking
              "username": "funone"
          },
          { // Snapchat
              "created": "2025-05-19T19:23:40.925Z",
              "displayName": "ayrshare",
              "id": "43548e97-edf1-44f9-984a-0a384703333",
              "platform": "snapchat",
              "profileUrl": "https://www.snapchat.com/add/username",
              "userImage": "https://img.ayrshare.com/EuMQpMIgcPZYuwHnWeVBCXyftb52/social/snapchat",
              "username": "ayrshare"
          },
          { // Telegram
              "created": "2022-11-17T18:55:16.320Z",
              "displayName": "Ayrshare",
              "id": -10017122,
              "platform": "telegram",
              "profileUrl": "https://web.telegram.org/z/#-17122",
              "type": "channel",
              "userImage": "https://img.ayrshare.com/nclMLxaIzmXHxOi4KEggA5gQ1T82/social/telegram.octo-stream" // The image at the time of linking
          },
          { // Threads
              "created": "2025-04-24T20:26:28.311Z",
              "displayName": "ayrshare",
              "id": "9273292656113202",
              "isEligibleForGeoRestrictions": false,
              "isVerified": false,
              "platform": "threads",
              "profileUrl": "https://www.threads.com/@ayrshare",
              "userImage": "https://scontent-dfw5-2.cdninstagram.com/v/t51.2885-15/357665262", // The image at the time of linking
              "username": "ayrshare"
          },
          { // TikTok
              "created": "2022-11-02T02:11:53.452Z",
              "displayName": "Ayrshare",
              "id": "5ebc6f39-7900-421e-bf9",
              "platform": "tiktok",
              "profileUrl": "https://www.tiktok.com/@ayrshare",
              "refreshDaysRemaining": 234, // Days until link auth must be refreshed
              "refreshRequired": "2026-04-24T15:25:32.344Z", // Date and time when link auth must be refreshed
              "userImage": "https://img.ayrshare.com/ndfdfJ239s/social/tiktok.jpeg", // The image at the time of linking
              "username": "@ayrshare"
          },
          { // Twitter
              "created": "2022-11-02T01:38:42.326Z",
              "displayName": "ayrshare",
              "id": "1194881472",
              "messagingActive": true,
              "platform": "twitter", // Messaging active for the social network
              "profileUrl": "https://twitter.com/ayrshare",
              "subscriptionType": "Premium", // Premium, PremiumPlus, None
              "userImage": "https://img.ayrshare.com/ndfdfJ239s/social/twitter.png", // The image at the time of linking
              "username": "ayrshare",
              "verifiedType": "blue" // Values "blue", "business", or "none". Both "blue" and "business" are considered Premium. This will be updated when an X post is done via Ayrshare.
          },
          { // YouTube
              "created": "2022-11-17T18:54:09.954Z",
              "displayName": "@ayrshare",
              "id": "106891058521430758565",
              "platform": "youtube",
              "profileUrl": "https://www.youtube.com/@ayrshare",
              "userImage": "https://img.ayrshare.com/ndfdfJ239s/social/youtube.png", // The image at the time of linking
              "username": "@ayrshare"
          }
      ],
      "email": "me@ayrshare.com",    // null if a User Profile
      "lastApiCall": "2024-08-14T15:18:11Z",  // Time of the last recorded API call for this user
      "messagingConversationMonthlyCount": 7, // Monthly conversation count out of 100 - contact us if you need more per user profile
      "messagingEnabled": true,      // Messaging enabled for the account
      "monthlyApiCalls": 49,         // Current number of Posts, but starting Feb 1, 2025, this will include all types of API calls
      "monthlyPostCount": 49,        // Count of monthly posts
      "monthlyPostQuota": 500,       // Quota of monthly API post calls. Not present for Business Plans.
      "monthlyApiCallsQuota": 500,   // Deprecated Feb 1, 2025. Use monthlyPostQuota instead.
      "refId": "13a9da9e0df1183a7a6a1fc2c60b8023fa9a32a0",    // User Profile reference ID
      "title": "Primary Profile",    // User Profile Title - Business Plan only
      "lastUpdated": "2024-01-04T15:51:17.775Z",
      "nextUpdate": "2024-01-04T15:51:47.775Z"
  }
  ```

  ```json 403: Profile Key Not Found theme={"system"}
  {
    "action": "post",
    "status": "error",
    "code": 144,
    "message": "Some profiles not found. Please verify the Profile Keys."
  }
  ```
</ResponseExample>
